<?php

namespace App\Controller\Admin;

use App\Entity\Page;
use EasyCorp\Bundle\EasyAdminBundle\Field\ChoiceField;
use EasyCorp\Bundle\EasyAdminBundle\Field\ImageField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\AdminBundle\Controller\Admin\AbstractCrudController;

class PageCrudController extends AbstractCrudController
{
        public static function getEntityFqcn(): string
        {
                return Page::class;
        }


        public function configureFields(string $pageName): iterable
        {
            return [
                TextField::new('title'),
                TextEditorField::new('description'),
            ImageField::new('image')
                    ->setBasePath('/uploads/')
                    ->setUploadDir('public/uploads/'),
                TextField::new('devAlias'),
                    ChoiceField::new('status')
                            ->setChoices(['En ligne'=> 1, 'Hors ligne'=>0])
                            ->setFormTypeOption('expanded', true)
                    ->setFormTypeOption('multiple', false)
                    ->setCustomOption('widget', false)
            ];
        }

}
